Bug 1028383 - Dell XPS 13 L322X (Sputnik, FullHD) backlight is off
Dell XPS 13 L322X (Sputnik, FullHD) backlight is off
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 05:37 EST by Rolle
Modified: 2014-06-11 10:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-11 10:15:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolle 2013-11-08 05:37:58 EST
Description of problem:
Backlight is off and not changeable.

Version-Release number of selected component (if applicable):
Fedora 20 Alpha (Updates until 2013-011-08), kernel-3.11.7-300.fc20

How reproducible:
everytime

Steps to Reproduce:
1. install Fedora 20 Alpha (plugin external monitor and switch the monitor output with (FN + F1) to clone the display to external monitor (because the laptop-display is corrupted)
2. make updates until 2013-011-08 (kernel-3.11.7-300.fc20 or later should be installed)
3. reboot: -> the display should work without corruption, but backlight is off
2. try to control brightness of the backlight

Actual results:
backlight remains dark

Expected results:
backlight change the level of brightness

Additional info:
Dell XPS 13, L322X (Sputnik, FullHD),
Ubuntu 13.04 and Ubuntu 13.10 had the same problems,
search the web for more bug reports
Comment 1 Rolle 2013-11-08 06:25:21 EST
the following commands are without success:

xbacklight

echo -n 0 > /sys/module/video/parameters/brightness_switch_enabled

/sys/class/backlight/intel_backlight/brightness

/sys/class/backlight/acpi_video0/brightness
Comment 2 Rolle 2013-11-08 06:27:28 EST
The slider of the gnome brightness control is very choppy. So maybe it tries to set something, that require some time.
Comment 3 JAlberto 2013-11-08 06:40:56 EST
I have the same problem, with the same laptop

I think #903136 is related, looks like 3.12 fix the problems
Comment 4 Hans de Goede 2014-04-30 08:56:26 EDT
Hi,

I've been researching backlight issues for the last few days and I think I'm starting to get a handle on them, or at least to some degree.

Can you install with the latest fedora kernel:
http://koji.fedoraproject.org/koji/buildinfo?buildID=513888

(download the rpm for your arch, and install it with "rpm -ivh kernel...rpm") ?

And boot it with "video.use_native_backlight=1" on the kernel cmdline
(press esc at the grub screen to stop grub from booting, then e to edit the entry for the latest kernel, then go the line starting with linux, and add the end of that line add a space and then ideo.use_native_backlight=1), then press F10 to boot.

Once booted check if the brightness control now works properly, also please run the following 2 commands:

grep '.*' /sys/class/dmi/id/*_* 2> /dev/null
ls /sys/class/backlight

And copy and paste the output here.

Thanks,

Hans
Comment 5 Hans de Goede 2014-05-05 10:53:27 EDT
Hi,

I've just learned that this should be fixed in 3.15-rc3 and later, see:
https://bugs.freedesktop.org/show_bug.cgi?id=76276

Can you please try installing this kernel:
http://koji.fedoraproject.org/koji/buildinfo?buildID=513881

And see if that fixes things ?

Thanks,

Hans
Comment 6 Hans de Goede 2014-05-08 09:34:12 EDT
So as mentioned in comment 5, I'm pretty sure that this is:
https://bugs.freedesktop.org/show_bug.cgi?id=76276

Which has a patch attached for 3.14 stable too, perhaps we should at that patch to the Fedora kernels until it trickles down through stable ?
Comment 7 Rolle 2014-06-10 05:27:22 EDT
I don't have access to this Dell Laptop at this time. This Laptop is owned by a friend and he removed Ubuntu and Fedora and only Win 8 is installed :-(
So a new Fedora install is at the moment impossable.
With a live system (USB stick) it seems not possible to try this? I had to boot a live system, install the patch and then I must reboot. But the reboot is impossable with a live system :-(
Comment 8 Hans de Goede 2014-06-11 10:15:16 EDT
Hi Rolle,

(In reply to Rolle from comment #7)
> I don't have access to this Dell Laptop at this time. This Laptop is owned
> by a friend and he removed Ubuntu and Fedora and only Win 8 is installed :-(
> So a new Fedora install is at the moment impossable.
> With a live system (USB stick) it seems not possible to try this? I had to
> boot a live system, install the patch and then I must reboot. But the reboot
> is impossable with a live system :-(

No problem, there was a known bug with XPS machines backlight which has been fixed upstream and in the Fedora kernels for a while now. I'm pretty sure that this is fixed now, so lets just close this bug.

Thanks for your support / help with solving this!

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.